import { Component, OnInit } from '@angular/core';
import {MatTableDataSource} from '@angular/material';

@Component({
  selector: 'app-check-tombstone',
  templateUrl: './check-tombstone.component.html',
  styleUrls: ['./check-tombstone.component.scss']
})
export class CheckTombstoneComponent implements OnInit {

  displayedColumns: string[] = ['position', 'name', 'weight'];
  private dataSource: MatTableDataSource<any>;
  private username: any;
  private x: any;
  private myTombstones = [];

  constructor() { }

  ngOnInit() {
      const tombstones = localStorage.getItem('tombstones');
      const jsonValue = JSON.parse(tombstones)
      console.log(jsonValue);
      const user = localStorage.getItem('currentUser');
      const userName = JSON.parse(user)
      this.username = userName.username;
      console.log(this.username);

    // tslint:disable-next-line:prefer-for-of
      for (let i = 0; i < jsonValue.length; i++) {
        // tslint:disable-next-line:triple-equals
        if (jsonValue[i].userName == this.username) {
          // this.x = jsonValue[i].petName
          // console.log(this.x)
          this.myTombstones.push(jsonValue[i]);
        }
        console.log(this.myTombstones)


      }
      this.dataSource = new MatTableDataSource(this.myTombstones);

  }



  applyFilter(filterValue: string) {
    this.dataSource.filter = filterValue.trim().toLowerCase();
  }

}
